version: '2'

services:

  #<1>
  rabbitmq-container:
    image: rabbitmq:3-management
    hostname: my-rabbit
    volumes:
      - ./rabbit:/var/lib/rabbitmq/mnesia/rabbit
    ports:
      - 5672:5672
      - 15672:15672

  #<2>
  consumer:
    image: groovy:2.4-jdk8
    volumes:
      - ./:/home/groovy/
    command: groovy /home/groovy/grabbit.groovy rabbitmq-container consumer #<3>

  #<4>
  producer1:
      image: groovy:2.4-jdk8
      volumes:
        - ./:/home/groovy/
      command: groovy /home/groovy/grabbit.groovy rabbitmq-container producer /home/groovy/grabbit.log #<5>

  #<4>
  producer2:
      image: groovy:2.4-jdk8
      volumes:
        - ./:/home/groovy/
      command: groovy /home/groovy/grabbit.groovy rabbitmq-container producer /home/groovy/grabbit2.log #<6>